#
# spec file for package keysync
#
# Copyright (C) 2012-2014 Abel Luck <abel@guardianproject.info>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:       keysync
Version:    0.2
Release:    5.4
Summary:    convert OTR key info between different formats
Group:      Development/Languages/Python
License:    GPLv3
URL:        https://github.com/guardianproject/keysync
Source0:    https://pypi.python.org/packages/source/k/keysync/keysync-0.2.tar.gz
Patch0:     0001-include-keysync.png-in-iconsdir-with-the-rest-of-the.patch

# Runtime Deps

## global
Requires: python >= 2.7
Requires: python-pyasn1
Requires: python-six
Requires: python-psutil
Requires: python-pymtp >= 0.0.6
Requires: python-qrcode >= 4.0.1

%if 0%{?fedora_version} >= 20
Requires: python-pillow
Requires: python-pillow-tk
%else
Requires: python-imaging
Requires: python-imaging-tk
%endif

Requires: python-crypto
Requires: python-BeautifulSoup
Requires: pyparsing
Requires: tkinter

## Our packages
Requires: python-pyjavaproperties
Requires: python-potr
Requires: python-pgpdump

# Build deps
BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildArchitectures: noarch
BuildArch:      noarch

%description
keysync is a program for converting the various OTR file formats between
each other.  KeySync works with the two major OTR keystore versions: libotr
format and otr4j, and then a few variants of those major formats.  There is
some preliminary support for pure-python-otr keystores.

It can read and write the OTR keystore formats from Adium, ChatSecure, IRSSI,
Jitsi, Pidgin, and XChat.  It can also read some data from Gajim and GnuPG,
but that is not yet fully implemented.

For syncing the OTR data to ChatSecure on an Android device, use
keysync-gui

%prep
%setup -q
%patch0 -p1

%build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/keysync.desktop

%files
%defattr(-,root,root)
%doc README.md LICENSE.txt
%{_mandir}/man1/keysync.1.gz
%{python_sitelib}/*
%{_datadir}/%{name}/
%{_datadir}/icons/*
%{_datadir}/applications/keysync.desktop
%{_bindir}/keysync
%{_bindir}/keysync-gui


%changelog
* Tue Mar 17 2014 - abel@guardianproject.info
- Fix missing app icon issue
* Tue Mar 11 2014 - abel@guardianproject.info
- Support Fedora 20
* Sat Oct 26 2013 - abel@guardianproject.info
- 0.2 release
* Thu Oct 17 2013 - abel@guardianproject.info
- rename to keysync and update package contents
* Thu Oct 25 2012 - abel@guardianproject.info
- Add missing deps, r2
* Wed Oct 24 2012 - abel@guardianproject.info
- Initial version
